# dmjone

Official Python package for [dmj.one](https://dmj.one) - a platform dedicated to public welfare initiatives with a strong focus on educational projects. Our mission is to provide accessible, innovative, and valuable tools and resources for students, educators, and the general public to promote learning and educational excellence.

## Installation
Install `dmjone` via pip. Ensure you have Python 3.7 or later installed.

```bash
pip install dmjone
```

## Quick Start
Here's a quick example to get you started with `dmjone`:

```python
import dmjone

# Access the Student Management System
dmjone.projectsms() # Ensure you have MySQL installed on your system if you are running it locally. 

# hello there!
dmjone.hello()

# Get collaborating! - dmjone._your-name_.projectfunction()
dmjone.aarushi.TodoList()
dmjone.lakshika.calculator()
dmjone.kaustuv.calculate_absolute()
```

## Authors
- **Divya Mohan** - *__init__* - [GitHub](https://github.com/divyamohan1993)
- **Aarushi Sharma** - [GitHub](https://github.com/letscodeitup)
- **Anshuman Mohanty** - [GitHub](https://github.com/anshumanmohanty00)
- **Ashutosh Rana**
- **Jatin Sharma**
- **Kaustuv Sharma** - *Contributor* - [GitHub](https://github.com/kaustuvsharma)
- **Lakshika Tanwar** - *Contributor* - [GitHub](https://github.com/LakshikaTanwar)
- **Rijul Chaudhary** - [GitHub](https://github.com/Rijul777)
- **Vedansh Sharma** - [GitHub](https://github.com/Elysian-Reverie)

See also the list of [contributors](https://github.com/dmjone/dmjone_pypi/contributors) who participated in this project.

## Features
- **Student Management System**: A simple yet powerful system for managing student records, designed for educational institutions.
- **Lab Projects**: Access to various educational projects and lab work to facilitate learning and teaching.
- **Educational Tools**: A collection of tools aimed at enhancing the learning experience.

## User Collaborations
### Aarushi Sharma
- **TodoList**: A simple To-Do List creator.
### Kaustuv Sharma
- **Calculate Absolute Value**: Calculate absolute value of a given number
### Lakshika Tanwar
- **Typecasting**: Demonstrate Typecasting in python
- **Calculator**: Calculator to do arithmetic operations on numbers

## Documentation
<!-- For comprehensive documentation, visit [dmj.one/docs](https://dmj.one/docs). Here, you'll find detailed information on how to make the most of the tools and resources offered by `dmjone`. -->
For comprehensive documentation, visit [dmj.one](https://dmj.one). Here, you'll find detailed information on how to make the most of the tools and resources offered by `dmjone`.

## Contributing

Contributions are what make the open-source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

## License

Distributed under the GPL-3.0 License. See `LICENSE` for more information.

## Acknowledgements

- Shoolini University
- All educators and students at Shoolini University

## Contact

For any queries, please reach out to us via [the message button on dmj.one](https://dmj.one/).

## Project Links

- **Project Homepage**: [dmj.one](https://dmj.one)
- **PyPI Repository**: [dmjone on PyPI](https://pypi.org/project/dmjone/)
- **Source Code**: [GitHub Repository](https://github.com/dmjone/dmjone_pypi)
